<inp2:adm_SetPopupSize width="780" height="670"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="adm" section="in-portal:main_import" title_preset="import"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							location.href = '<inp2:m_Link t="tools/import1"/>';
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							ImportRedirect(ChoiseMade('kernel_form','choose'));
						}
				 ) );

				<inp2:m_if check="m_Get" name="m_wid">
					a_toolbar.AddButton( new ToolBarSeparator('sep1') );
					a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							window_close();
							}
					 ) );
				</inp2:m_if>

				a_toolbar.Render();
				a_toolbar.DisableButton('next');


				function ImportRedirect(import_id)
				{
					<inp2:m_DefineElement name="import_js_script">
						if (import_id == <inp2:m_Param name="script_id"/>) {
							redirect('<inp2:m_Link template="{$script_module}/import" pass="{$script_prefix}.import" {$script_prefix}.import_event="OnResetSettings"/>');
							return ;
						}
					</inp2:m_DefineElement>

					<inp2:adm_PrintImportSources render_as="import_js_script"/>
				}

				function ChoiseMade(form, radio_name)
				{
					// checks if user has selected enabled radio button
					var frm = document.getElementById(form);
					if(frm)
					{
						var i = 0;
						var element_count = frm.elements.length;
						for(i = 0; i < element_count; i++)
							if(frm[i].type == 'radio' && frm[i].name == radio_name)
								if(frm[i].checked == true)
									return frm[i].value;

						return false;
					}
				}

				$(document).ready(
					function() {
						$('#step_number').text(2);
					}
				);
			</script>
		</td>
	</tr>
</tbody>
</table>
	<input type="hidden" name="import_id" id="import_id" value="">
<table width="100%" border="0" cellspacing="0" cellpadding="4" class="bordered" id="config_table">
	<inp2:m_RenderElement name="subsection" title="la_prompt_Import_Source"/>
		<tr class="<inp2:m_odd_even odd="table-color1" even="table-color2"/>">
			<inp2:m_inc param="tab_index" by="1"/>
			<td>
				<span class="text">Select the format you are importing the data from:</span>
			</td>
		</tr>
		<tr class="<inp2:m_odd_even odd="table-color1" even="table-color2"/>">
			<inp2:m_inc param="tab_index" by="1"/>
			<td>
			<inp2:m_DefineElement name="import_script">
				<input name="choose" id="ch<inp2:m_param name="script_id"/>" value="<inp2:m_param name="script_id"/>" onclick="a_toolbar.EnableButton('next')" type="radio"><span class="text"><label for="ch<inp2:m_param name="script_id"/>"><inp2:m_param name="script_name"/></label></span><br>
			</inp2:m_DefineElement>

			<inp2:adm_PrintImportSources render_as="import_script"/>
			</td>
		</tr>
</table>

<inp2:m_include t="incs/footer"/>